<?php if ( ! function_exists( 'ghostpool_post_loop' ) ) {
	function ghostpool_post_loop( $format = '', $image_size_standard = '', $image_size_hub = '', $image_size_review = '', $image_size_preview = '', $content_display = '', $excerpt_length = '', $meta_release_date = '', $meta_author = '', $meta_date = '', $meta_comment_count = '', $meta_views = '', $meta_likes = '', $meta_followers = '', $meta_cats = '', $meta_tags = '', $meta_hub_fields = '',	$meta_site_rating = '', $meta_user_rating = '', $read_more_link = '', $counter = '', $ranking = '', $ranking_counter = '' ) { ?>

	<section <?php post_class( 'gp-post-item ' . get_post_meta( get_the_ID(), 'template', true ) ); ?> itemscope itemtype="http://schema.org/Blog">

		<?php if ( ( ! has_post_thumbnail() && ( function_exists( 'kdmfi_get_featured_image_id' ) && ! kdmfi_has_featured_image( 'ghostpool-featured-image-2' ) ) ) && ( $ranking == 'gp-ranking' && $ranking_counter > 0 ) ) { ?>
			<div class="gp-ranking-counter"><?php echo absint( $ranking_counter ); ?></div>
		<?php } ?>	

		<?php if ( has_post_thumbnail() OR ( function_exists( 'kdmfi_get_featured_image_id' ) && kdmfi_has_featured_image( 'ghostpool-featured-image-2' ) ) ) { ?>

			<div class="gp-post-thumbnail gp-loop-featured">
				<a href="<?php if ( get_post_format() == 'link' ) { echo esc_url( get_post_meta( get_the_ID(), 'link', true ) ); } else { the_permalink(); } ?>" title="<?php the_title_attribute(); ?>"<?php if ( get_post_format() == 'link' ) { ?> target="<?php echo get_post_meta( get_the_ID(), 'link_target', true ); ?>"<?php } ?>>
		
					<?php if ( get_post_meta( get_the_ID(), 'template', true ) == 'gp-hub-post' ) {
					
						if ( $image_size_hub != 'default' ) { 										
							if ( function_exists( 'kdmfi_get_featured_image_id' ) && kdmfi_has_featured_image( 'ghostpool-featured-image-2' ) ) {
								kdmfi_the_featured_image( 'ghostpool-featured-image-2', $image_size_hub );
							} else {
								the_post_thumbnail( $image_size_hub ); 
							}
						} elseif ( $format == 'gp-blog-list' ) {
							if ( function_exists( 'kdmfi_get_featured_image_id' ) && kdmfi_has_featured_image( 'ghostpool-featured-image-2' ) ) {
								kdmfi_the_featured_image( 'ghostpool-featured-image-2', 'thumbnail' );
							} else {
								the_post_thumbnail( 'thumbnail' ); 
							}
						} elseif ( $format == 'gp-blog-columns-1' ) {
							the_post_thumbnail( 'ghostpool-one-col-category-image' );	
						} else {
							the_post_thumbnail( 'ghostpool-col-category-image' );	
						}
					
					} elseif ( get_post_meta( get_the_ID(), 'template', true ) == 'gp-review-post' OR get_post_meta( get_the_ID(), 'template', true ) == 'gp-user-review-post' ) {
					
						if ( $image_size_review != 'default'  ) {
							if ( function_exists( 'kdmfi_get_featured_image_id' ) && kdmfi_has_featured_image( 'ghostpool-featured-image-2' ) ) {
								kdmfi_the_featured_image( 'ghostpool-featured-image-2', $image_size_review );
							} else {
								the_post_thumbnail( $image_size_review ); 
							}	
						} elseif ( $format == 'gp-blog-list' ) {
							if ( function_exists( 'kdmfi_get_featured_image_id' ) && kdmfi_has_featured_image( 'ghostpool-featured-image-2' ) ) {
								kdmfi_the_featured_image( 'ghostpool-featured-image-2', 'thumbnail' );
							} else {
								the_post_thumbnail( 'thumbnail' ); 
							}
						} elseif ( $format == 'gp-blog-columns-1' ) {
							the_post_thumbnail( 'ghostpool-one-col-category-image' );	
						} else {
							the_post_thumbnail( 'ghostpool-col-category-image' );	
						}
															
					} elseif ( get_post_meta( get_the_ID(), 'template', true ) == 'gp-preview-post' ) {
					
						if ( $image_size_preview != 'default' ) {
							the_post_thumbnail( $image_size_preview );
						} elseif ( $format == 'gp-blog-list' ) {
							the_post_thumbnail( 'ghostpool-list-category-image' );
						} elseif ( $format == 'gp-blog-columns-1' ) {
							the_post_thumbnail( 'ghostpool-one-col-category-image' );	
						} else {
							the_post_thumbnail( 'ghostpool-col-category-image' );	
						}
						
					} else {
						
						if ( $image_size_standard != 'default' ) { 
							the_post_thumbnail( $image_size_standard );
						} elseif ( $format == 'gp-blog-list' ) {
							the_post_thumbnail( 'ghostpool-list-category-image' );
						} elseif ( $format == 'gp-blog-columns-1' ) {
							the_post_thumbnail( 'ghostpool-one-col-category-image' );	
						} else {
							the_post_thumbnail( 'ghostpool-col-category-image' );	
						}
					
					} ?>
							
					<?php if ( $ranking == 'gp-ranking' && $ranking_counter > 0 ) { ?>
						<div class="gp-ranking-counter"><?php echo absint( $ranking_counter ); ?></div>
					<?php } ?>	
					<?php if ( $format != 'gp-blog-list' ) { ?>
						<span class="gp-loop-ratings">
							<?php if ( $meta_site_rating == '1' ) {
								get_template_part( 'lib/sections/taxonomies/loop-site-rating' ); 
							} 	
							if ( $meta_user_rating == '1' ) {
								get_template_part( 'lib/sections/taxonomies/loop-user-rating' ); 
							} ?>
						</span>	
					<?php } ?>	

				</a>					
			</div>

		<?php } elseif ( get_post_format() == 'gallery' && get_post_meta( get_the_ID(), 'gallery_slider', true ) ) {
			
			echo ghostpool_gallery_slider_loop_content( $format, $image_size_standard );
			
		} elseif ( get_post_format() == 'video' ) {
			
			echo ghostpool_video_loop_content( $format, $image_size_standard );
			
		} elseif ( get_post_format() == 'quote' ) {	
		
			get_template_part( 'lib/sections/taxonomies/loop-quote' ); 

		} ?>		

		<?php if ( get_post_format() == 'audio' && $format != 'gp-blog-list' ) { 
			get_template_part( 'lib/sections/taxonomies/loop-audio' ); 
		} ?>

		<?php if ( get_post_format() != 'quote' OR ( has_post_thumbnail() OR ( function_exists( 'kdmfi_get_featured_image_id' ) && kdmfi_has_featured_image( 'ghostpool-featured-image-2' ) ) ) ) { ?>

			<div class="gp-loop-content">	
			
				<?php if ( get_post_format() == 'audio' && $format == 'gp-blog-list' ) {	
					get_template_part( 'lib/sections/taxonomies/loop-audio' ); 
				} ?>

				<h2 class="gp-loop-title"><a href="<?php if ( get_post_format() == 'link' ) { echo esc_url( get_post_meta( get_the_ID(), 'link', true ) ); } else { the_permalink(); } ?>" title="<?php the_title_attribute(); ?>"<?php if ( get_post_format() == 'link' ) { ?> target="<?php echo get_post_meta( get_the_ID(), 'link_target', true ); ?>"<?php } ?>><?php the_title(); ?></a></h2>

				<?php if ( $content_display == 'full_content' ) { ?>

					<div class="gp-loop-text">
						<?php global $more; $more = 0; the_content( esc_html__( '[Read More]', 'huber' ) ); ?>
					</div>

				<?php } else { ?>

					<?php if ( $excerpt_length != '0' ) { ?>
						<div class="gp-loop-text">
							<p><?php echo ghostpool_excerpt( $excerpt_length, $read_more_link ); ?></p>
						</div>
					<?php } ?>

				<?php } ?>	

				<?php ghostpool_loop_meta(
					$meta_release_date,
					$meta_author,
					$meta_date,
					$meta_comment_count,
					$meta_views,
					$meta_likes,
					$meta_followers,
					$meta_cats,
					$meta_hub_fields
				); ?>

				<?php if ( $meta_tags == '1' ) { the_tags( '<div class="gp-loop-tags">', ' ', '</div>' ); } ?>

			</div>

		<?php } ?>	

		<?php if ( $format == 'gp-blog-list' && ( $meta_site_rating == '1' OR $meta_user_rating == '1' ) ) { ?>
			<span class="gp-loop-ratings">
				<?php if ( $meta_site_rating == '1' ) {
					get_template_part( 'lib/sections/taxonomies/loop-site-rating' ); 
				} 	
				if ( $meta_user_rating == '1' ) {
					get_template_part( 'lib/sections/taxonomies/loop-user-rating' ); 
				} ?>
			</span>	
		<?php } ?>	

	</section>

<?php }

} ?>