<?php

// Page options
$display_image = ghostpool_option( 'image' ) == 'default' ? ghostpool_option( 'user_review_image' ) : ghostpool_option( 'image' );
$results_position = ghostpool_option( 'results_position' ) == 'default' ? ghostpool_option( 'review_results_position' ) : ghostpool_option( 'results_position' ); ?>

<article <?php post_class(); ?> itemscope itemtype="http://schema.org/Article">

	<?php echo ghostpool_meta_data( get_the_ID() ); ?>

	<?php ghostpool_breadcrumbs(); ?>

	<header class="gp-entry-header">

		<h1 class="gp-entry-title gp-single-title" itemprop="headline">
			<?php if ( ghostpool_option( 'custom_title' ) ) { echo esc_attr( ghostpool_option( 'custom_title' ) ); } else { the_title(); } ?>
		</h1>

		<?php if ( ghostpool_option( 'subtitle' ) ) { ?>
			<div class="gp-subtitle"><?php echo esc_attr( ghostpool_option( 'subtitle' ) ); ?></div>
		<?php } ?>

		<?php if ( ghostpool_site_rating() ) { ?>		
			<div id="gp-user-review-rating">
				<?php esc_html_e( 'User Rating:' , 'huber' ) ?> 
				<span id="gp-user-review-rating-score"><?php echo ghostpool_site_rating(); ?></span>
			</div>
		<?php } ?>

		<?php get_template_part( 'lib/sections/user-review/entry-meta' ); ?>

		<?php ghostpool_related_hubs( get_the_ID(), ghostpool_option( 'user_review_related_hubs' ), ghostpool_option( 'user_review_related_hubs_title' ) ); ?>
	
		<?php if ( ghostpool_option( 'user_review_top_post_content' ) ) { ?>
			<div id="gp-top-of-post">
				<?php echo do_shortcode( ghostpool_option( 'user_review_top_post_content' ) ); ?>
			</div>
		<?php } ?>

	</header>						

	<?php if ( $results_position == 'top' ) { get_template_part( 'lib/sections/review/review-results' ); } ?>
	
	<?php if ( has_post_thumbnail() && $display_image == 'enabled' ) { ?>

		<div class="gp-post-thumbnail gp-entry-featured">
			<?php the_post_thumbnail( 'ghostpool-featured-image' ); ?>									
			<?php $attachment_id = get_post( get_post_thumbnail_id() ); if ( $attachment_id->post_excerpt ) { ?><div class="wp-caption-text"><?php echo esc_attr( $attachment_id->post_excerpt ); ?></div><?php } ?>
		</div>

	<?php } ?>
											
	<div class="gp-entry-content" itemprop="text">
	
		<?php the_content(); ?>

		<?php wp_link_pages( array(
			'before' => '<div class="gp-entry-pagination">',
			'after'  => '</div>',
			'next_or_number' => 'ghostpool_next_and_number',
			'nextpagelink' => '',
			'previouspagelink' => '',
		) ); ?>

	</div>

	<?php if ( ghostpool_option( 'user_review_meta', 'tags' ) == '1' ) { ?>
		<?php the_tags( '<div class="gp-entry-tags">' . esc_html__( 'Tags: ', 'huber' ), ', ', '</div>' ); ?>
	<?php } ?>

	<?php if ( $results_position == 'bottom' ) { get_template_part( 'lib/sections/review/review-results' ); } ?>	

	<?php if ( ghostpool_option( 'user_review_author_info' ) == 'enabled' && ! empty( get_user_by( 'email', get_post_meta( get_the_ID(), 'ghostpool_post_submission_email', true ) ) ) ) { ?>
		<?php get_template_part( 'lib/sections/post/author-info' ); ?>
	<?php } ?>

	<?php if ( ghostpool_option( 'user_review_voting' ) == 'enabled' ) { ?>
		<div class="gp-voting-wrapper">
			 <?php if ( ghostpool_option( 'user_review_voting_title' ) ) { ?>
				<h3><?php echo esc_attr( ghostpool_option( 'user_review_voting_title' ) ); ?></h3>
			 <?php } ?>
			<?php echo ghostpool_voting(); ?>
		</div>
	<?php } ?>	

	<?php if ( ghostpool_option( 'user_review_meta', 'post_nav' ) == '1' ) { ?>
		<?php echo ghostpool_post_navigation(); ?>						
	<?php } ?>

	<?php if ( ghostpool_option( 'user_review_related_items' ) == 'enabled' ) { ?>
		<?php get_template_part( 'lib/sections/post/related-items' ); ?>
	<?php } ?>

	<?php comments_template(); ?>

</article>